Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_CORBA_Ref Class Template Reference

A wrapper for helping with Orbix object references. More...

`#include <CORBA_Ref.h>`

List of all members.

## Public Methods
| ACE_CORBA_Ref (void)
| Null construction.
| ACE_CORBA_Ref (CORBA_REF *ref)
| Contruction with an orbix ref. performs a <CORBA_REF::_duplicate>.
CORBA_REF* | operator= (CORBA_REF *ref)
| Assignment performs a <CORBA_REF::_duplicate>.
| operator CORBA_REF * (void) const
| Type operator.
CORBA_REF* | operator-> (void) const
| Smart pointer to forward all CORBA_REF calls to the underlying Orbix reference.
int | operator== (CORBA_REF *) const
| Pointer comparison.
int | operator!= (CORBA_REF *) const
| Pointer comparison.
| ~ACE_CORBA_Ref (void)
| Destruction: calls <CORBA_REF::_release>.
## Private Attributes
CORBA_REF* | ref_

## Detailed Description

### template<class CORBA_REF> template class ACE_CORBA_Ref

A wrapper for helping with Orbix object references.

is parameterized by the type of orbix object reference to be used. The construtor, operator=, and the destructor of perform implicit duplicates and releases in order to help make the use of Orbix object references transparent.

## Constructor & Destructor Documentation

template<classCORBA_REF>
ACE_CORBA_Ref<CORBA_REF>::ACE_CORBA_Ref<CORBA_REF> ( | void )`[inline]`

| Null construction.

template<classCORBA_REF>
ACE_CORBA_Ref<CORBA_REF>::ACE_CORBA_Ref<CORBA_REF> ( | CORBA_REF * ref )

| Contruction with an orbix ref. performs a <CORBA_REF::_duplicate>.

template<classCORBA_REF>
ACE_CORBA_Ref<CORBA_REF>::~ACE_CORBA_Ref<CORBA_REF> ( | void )

| Destruction: calls <CORBA_REF::_release>.

## Member Function Documentation

template<classCORBA_REF>
ACE_CORBA_Ref<CORBA_REF>::operator CORBA_REF * ( | void ) const

| Type operator.

template<classCORBA_REF>
int ACE_CORBA_Ref<CORBA_REF>::operator!= ( | CORBA_REF * rhs ) const

| Pointer comparison.

template<classCORBA_REF>
CORBA_REF * ACE_CORBA_Ref<CORBA_REF>::operator-> ( | void ) const

| Smart pointer to forward all CORBA_REF calls to the underlying Orbix reference.

template<classCORBA_REF>
CORBA_REF * ACE_CORBA_Ref<CORBA_REF>::operator= ( | CORBA_REF * ref )

| Assignment performs a <CORBA_REF::_duplicate>.

template<classCORBA_REF>
int ACE_CORBA_Ref<CORBA_REF>::operator== ( | CORBA_REF * rhs ) const

| Pointer comparison.

## Member Data Documentation

template<classCORBA_REF>
CORBA_REF * ACE_CORBA_Ref<CORBA_REF>::ref_`[private]`

The documentation for this class was generated from the following files:

- CORBA_Ref.h
- CORBA_Ref.cpp